
QGIS Application - Bug report #4761

Distance matrix: k becomes k-1 when working with one layer.

2012-01-07 04:54 PM - Borys Jurgiel

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14625

Description

In order to replicate: use one layer (target point layer = input point layer), and k=2. Run any analysis.

It finds k=2 points: the input point itself and a second point. The first point is (correctly) dropped, so k becomes 1 instead of 2.

Associated revisions

Revision 580b9474 - 2013-08-27 12:45 PM - Borys Jurgiel

Merge pull request #769 from vinayan/topol

Fix #5181,#4761 - Ftools-Distance Matrix

History

#1 - 2012-01-07 05:05 PM - Borys Jurgiel

- Estimated time set to 0.50

- Priority changed from Normal to 6

I set priority to Urgent, as it produces false results.

#2 - 2012-01-07 05:10 PM - Borys Jurgiel

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2012-01-07 05:11 PM - Borys Jurgiel

- Subject changed from Distance matrix turns k into k-1 when working with one layer. to Distance matrix: k becomes k-1 when working with one layer.

#4 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#5 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-05-30 07:44 AM - Giovanni Manghi

- Assignee deleted (cfarmer -)

#7 - 2012-05-31 12:50 PM - Salvatore Larosa

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback
for me works fine as well as QGIS doesn't crash!

Can you share your testcase?

#8 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2012-10-04 10:18 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.

#10 - 2013-04-26 01:14 AM - vinayan Parameswaran

This is a bug that has been there since Qgis 1.8. I can't share a shapefile now. In fact, it will not work for any file.

How to replicate:

    -  Create a point layer with 4 point features.Populate Id field with unique values.

    -  In distance matrix dialog, set input layer and target layer as the same layer.

    -  set id field as input and output unique fields.

    -  Output Matrix Type -> select Linear Matrix. Enable the checkbox 'use only nearest(k) points' and set its value to 1.

    -  now ideally  it should create a CSV file with four records because we chose a single neighbour only.

    -  But the resulting CSV is blank

    -  Now try increasing the nearest(k) value to 2.

    -  now for each feature in the shapefile, there should be two rows in the csv. so there should be 8 rows. But you can see that there are only four rows.

I have submitted a pull request that addresses this issue here.

https://github.com/qgis/Quantum-GIS/pull/538

#11 - 2013-04-26 01:16 AM - vinayan Parameswaran

- Status changed from Closed to Reopened

- Resolution deleted (worksforme)

- Pull Request or Patch supplied changed from No to Yes

#12 - 2013-06-02 08:47 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

I have submitted a pull request that addresses this issue here.

https://github.com/qgis/Quantum-GIS/pull/538

can the ptach be submitted to allow tests? cheers!

#13 - 2013-07-13 09:49 AM - Giovanni Manghi
- Pull Request or Patch supplied changed from Yes to No

- Status changed from Feedback to Open

- Estimated time deleted (0.50)

https://github.com/qgis/Quantum-GIS/pull/538

The request has been closed but not committed and I see that the bug is still there.

#14 - 2013-08-23 05:39 AM - vinayan Parameswaran

below pull request should fix it..

https://github.com/qgis/Quantum-GIS/pull/769

#15 - 2013-08-27 03:45 AM - Borys Jurgiel

- Status changed from Open to Closed

Fixed in changeset commit:"580b947498c615ab6e740e539ccfa50067baa6c2".

#16 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
